Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletParameterMap

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletParameterMap

    public class PortletParameterMap

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletParameterMap(NavigationInfo navigationInfo)`
`PortletParameterMap(PortletParameterMap original)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getMap()`
`java.lang.String` | `getParameterValue(java.lang.String name)`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPrivateMapSnapshot()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicMapSnapshot()`
`void` | `removePublicParameterValue(java.lang.String name)`
`void` | `setMap(java.util.Map<java.lang.String,java.lang.String[]> map)`
`void` | `setParameterValue(java.lang.String name, java.lang.String value)`
`void` | `setParameterValues(java.lang.String name, java.lang.String[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletParameterMap

    public PortletParameterMap(NavigationInfo navigationInfo)

### PortletParameterMap

    public PortletParameterMap(PortletParameterMap original)

Method Detail

### getParameterValue

    public java.lang.String getParameterValue(java.lang.String name)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### setParameterValue

    public void setParameterValue(java.lang.String name,
                                  java.lang.String value)

### setParameterValues

    public void setParameterValues(java.lang.String name,
                                   java.lang.String[] value)

### removePublicParameterValue

    public void removePublicParameterValue(java.lang.String name)

### getMap

    public java.util.Map<java.lang.String,java.lang.String[]> getMap()

### setMap

    public void setMap(java.util.Map<java.lang.String,java.lang.String[]> map)

### getPrivateMapSnapshot

    public java.util.Map<java.lang.String,java.lang.String[]> getPrivateMapSnapshot()

### getPublicMapSnapshot

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicMapSnapshot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.